Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025052
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2013-10-30 19:172013-12-02 13:05
ReporterngarciaView Statuspublic 
Assigned Topramakrishnan 
PriorityurgentResolutionfixedFixed in Version3.0MP30
StatusclosedFix in branchFixed in SCM revision3875daa1b317
ProjectionnoneETAnoneTarget Version3.0MP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tongarcia
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025052: Not paid invoices cannot be added to a payment proposal if they are already included in a processed proposal

DescriptionNot paid invoices cannot be added to a payment proposal if they are already included in a processed proposal. It happens when you reactivate or delete the payment associated with the invoice.
Steps To ReproduceAs group admin role:
   Create two Purchase Invoices with the same payment method (for different business partners)
   Create a record in the Payment Proposal screen
      Payment Method: the one used in the previous invoices
      Incl. documents up to this date > Invoices Payment Plans' Expected Date
   Click on the Selected Expected Payments button and select the previously created invoices
   Generate Payments by selecting the option of grouping separate payments for the same vendor into one payment
   Navigate to one of that payments and reactivate it by deleting lines
   Check that the Payment field gets empty in the Payment Proposal line
   Create a new record in the Payment Proposal screen and check that the invoice associated with the reactivated payment cannot be selected although it is not paid
   It will be available if you reactivate the first Payment Proposal, but the payment associated with the other invoice will be deleted in that case
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00306853.0PR15Q4 closedvmromanos Error when reactivating payment proposal related with a closed order 
causes defect 0030751 closedvmromanos Lines deleted each time you reactivate a payment proposal 

-  Notes
(0062392)
hgbot (developer)
2013-11-27 07:04

Repository: erp/devel/pi
Changeset: 3875daa1b317f2bb28d70d338d45ebc8e4c962b6
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Tue Nov 26 14:54:21 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/3875daa1b317f2bb28d70d338d45ebc8e4c962b6 [^]

Fixes Issue 25052: Not paid invoices cannot be added to a payment proposal

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
---
(0062416)
hudsonbot (developer)
2013-11-27 14:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9cca225b50d9 [^]

Maturity status: Test
(0062486)
jonalegriaesarte (reporter)
2013-12-02 13:05

Tested and working fine.

- Issue History
Date Modified Username Field Change
2013-10-30 19:17 ngarcia New Issue
2013-10-30 19:17 ngarcia Assigned To => dmiguelez
2013-10-30 19:17 ngarcia Modules => Core
2013-10-30 19:17 ngarcia Triggers an Emergency Pack => No
2013-10-30 19:18 ngarcia Assigned To dmiguelez => jonalegriaesarte
2013-10-30 19:18 ngarcia Target Version => 3.0MP30
2013-10-30 19:19 ngarcia Modules Core => Advanced Payables and Receivables Mngmt
2013-10-30 19:19 ngarcia Issue Monitored: networkb
2013-11-19 09:36 jonalegriaesarte Assigned To jonalegriaesarte => pramakrishnan
2013-11-27 05:55 pramakrishnan Review Assigned To => ngarcia
2013-11-27 05:55 pramakrishnan Status new => scheduled
2013-11-27 07:04 hgbot Checkin
2013-11-27 07:04 hgbot Note Added: 0062392
2013-11-27 07:04 hgbot Status scheduled => resolved
2013-11-27 07:04 hgbot Resolution open => fixed
2013-11-27 07:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3875daa1b317f2bb28d70d338d45ebc8e4c962b6 [^]
2013-11-27 14:47 hudsonbot Checkin
2013-11-27 14:47 hudsonbot Note Added: 0062416
2013-12-02 13:05 jonalegriaesarte Note Added: 0062486
2013-12-02 13:05 jonalegriaesarte Status resolved => closed
2013-12-02 13:05 jonalegriaesarte Fixed in Version => 3.0MP30
2015-09-01 14:00 vmromanos Relationship added related to 0030685
2015-09-03 15:35 vmromanos Relationship added causes 0030751


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker